aim4.im.v2i.policy

## Class BasePolicy.ReserveParam

- java.lang.Object
- - aim4.im.v2i.policy.BasePolicy.ReserveParam

- Enclosing class:
    BasePolicy

      public static class BasePolicy.ReserveParam
      extends Object

  The reservation parameter record generated by processProposals()

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasePolicy.ReserveParam(int vin, Request.Proposal successfulProposal, ReservationGridManager.Plan gridPlan, AczManager aczManager, AczManager.Plan aczPlan)` Create a reservation parameter record.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AczManager` | `getAczManager()` Get the ACZ manager
    `AczManager.Plan` | `getAczPlan()` Get the ACZ reservation plan
    `ReservationGridManager.Plan` | `getGridPlan()` Get the reservation plan
    `Request.Proposal` | `getSuccessfulProposal()` Get the successful proposal
    `int` | `getVin()` Get the VIN of the vehicle

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasePolicy.ReserveParam

          public BasePolicy.ReserveParam(int vin,
                                 Request.Proposal successfulProposal,
                                 ReservationGridManager.Plan gridPlan,
                                 AczManager aczManager,
                                 AczManager.Plan aczPlan)

      Create a reservation parameter record.
      Parameters:
        `vin` - the VIN of vehicle
        `successfulProposal` - the successful proposal
        `gridPlan` - the reservation plan
        `aczManager` - the ACZ manager
        `aczPlan` - the ACZ plan

  - ### Method Detail

    - #### getVin

          public int getVin()

      Get the VIN of the vehicle

    - #### getSuccessfulProposal

          public Request.Proposal getSuccessfulProposal()

      Get the successful proposal

    - #### getGridPlan

          public ReservationGridManager.Plan getGridPlan()

      Get the reservation plan

    - #### getAczManager

          public AczManager getAczManager()

      Get the ACZ manager

    - #### getAczPlan

          public AczManager.Plan getAczPlan()

      Get the ACZ reservation plan

Copyright © 2013. All rights reserved.